// @flow
module.exports = {
  collectCoverageFrom: ['src/**'],
  coveragePathIgnorePatterns: [
    '<rootDir>/src/index.js',
  ],
  moduleNameMapper: {
    '\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': '<rootDir>/src/__mocks__/fileMock.js',
  },
  setupFiles: [
    require.resolve('babel-polyfill'),
    require.resolve('raf/polyfill'),
  ],
  setupTestFrameworkScriptFile: './jest.setup.js',
  testPathIgnorePatterns: [
    '<rootDir>/build/',
    '<rootDir>/node_modules/',
    '<rootDir>/ios/',
    '<rootDir>/android/',
    '<rootDir>/.vscode/',
    '<rootDir>/src/.*/__e2e__/.*',
  ],
};
