import { StyleSheet } from 'react-native';
import { space } from '../Utils/Theme';

const styles = StyleSheet.create({
  listItem: {
    alignItems: 'center',
    display: 'flex',
    flexDirection: 'row',
    paddingLeft: space.large,
    paddingRight: space.large,
  },
  singleLine: {
    height: 48,
  },
  twoLine: {
    height: 72,
  },
  threeLine: {
    height: 88,
  },
  singleLineDense: {
    height: 40,
  },
  twoLineDense: {
    height: 60,
  },
  threeLineDense: {
    height: 76,
  },
  withAvatar: {
    minHeight: 56,
  },
  withAvatarDense: {
    minHeight: 48,
  },
});

export default styles;
