import { StyleSheet } from 'react-native';
import { font } from '../Utils/Theme';

const styles = StyleSheet.create({
  text: {
    justifyContent: 'center',
    flex: 1,
    height: '100%',
  },
  primaryText: {
    color: font.color,
    fontSize: 16,
    letterSpacing: 0.64,
    lineHeight: 24,
  },
  secondaryText: {
    color: font.colorLight,
    fontSize: 14,
    letterSpacing: 0.56,
    lineHeight: 20,
    maxHeight: 40,
  },
  dense: {
    fontSize: 13,
    letterSpacing: 0.52,
  },
});

export default styles;
