// @flow
import React from 'react';
import type { Node } from 'react';
import { ScrollView } from 'react-native';
import { space } from '../../src/Utils/Theme';

type Props = {
  children: Node,
};

const style = {
  // flexDirection: 'row',
  // flexWrap: 'wrap',
  padding: space.large,
  width: '100%',
};

const Container = ({ children }: Props) => <ScrollView style={style}>{children}</ScrollView>;

export default Container;
