// @flow
import React from 'react';
import { View } from 'react-native';
import styles from './ListItemRight.styles';
import { Icon } from '../';

type Props = {
  icon: string,
};

const ListItemRight = ({ icon }: Props) => (
  <View style={styles.listItemRight}>
    {!!icon && <Icon name={icon} />}
  </View>
);

ListItemRight.defaultProps = {
  icon: '',
};

export default ListItemRight;
